import { IBase } from ".";
/**
 * Limited Web Part Manager
 */
export interface ILimitedWebPartManager extends IBase {
    /**
     * Properties
     */
    HasPersonalizedParts: boolean;
    Scope: number;
    /**
     * Methods
     */
    /**
     * Method to execute the request.
     * @param callback - The method to be executed after the request completes.
     */
    execute(callback?: (value?: ILimitedWebPartManager, ...args) => any): ILimitedWebPartManager;
    /**
     * Method to execute the request.
     * @param waitFl - Flag to execute the request, after the previous requests have completed.
     */
    execute(waitFl: boolean): ILimitedWebPartManager;
    /**
     * Method to execute the request.
     * @param callback - The method to be executed after the request completes.
     * @param waitFl - Flag to execute the request, after the previous requests have completed.
     */
    execute(callback: (value?: ILimitedWebPartManager, ...args) => any, waitFl: boolean): ILimitedWebPartManager;
    /**
     * Method to execute the request synchronously.
     */
    executeAndWait(): ILimitedWebPartManager;
    /**
     * Gets a webpart by its id.
     * @param id - The web part id.
     */
    WebParts(id: any): any;
}
