"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var attachment_1 = require("./attachment/attachment");
var attachmentFiles_1 = require("./attachmentFiles/attachmentFiles");
var audit_1 = require("./audit/audit");
var contentType_1 = require("./contentType/contentType");
var contentTypes_1 = require("./contentType/contentTypes");
var eventReceiver_1 = require("./eventReceiver/eventReceiver");
var eventReceivers_1 = require("./eventReceiver/eventReceivers");
var field_1 = require("./field/field");
var fields_1 = require("./field/fields");
var fieldLinks_1 = require("./fieldLink/fieldLinks");
var file_1 = require("./file/file");
var files_1 = require("./file/files");
var fileVersion_1 = require("./fileVersion/fileVersion");
var fileVersions_1 = require("./fileVersion/fileVersions");
var folder_1 = require("./folder/folder");
var folders_1 = require("./folder/folders");
var group_1 = require("./group/group");
var siteGroups_1 = require("./group/siteGroups");
var items_1 = require("./item/items");
var limitedWebPartManager_1 = require("./limitedWebPartManager/limitedWebPartManager");
var list_1 = require("./list/list");
var listItem_1 = require("./item/listItem");
var lists_1 = require("./list/lists");
var peopleManager_1 = require("./peopleManager/peopleManager");
var peoplePicker_1 = require("./peoplePicker/peoplePicker");
var profileLoader_1 = require("./profileLoader/profileLoader");
var propertyValues_1 = require("./propertyValues/propertyValues");
var roleAssignment_1 = require("./roleAssignment/roleAssignment");
var roleAssignments_1 = require("./roleAssignment/roleAssignments");
var roleDefinition_1 = require("./roleDefinition/roleDefinition");
var roleDefinitions_1 = require("./roleDefinition/roleDefinitions");
var search_1 = require("./search/search");
var site_1 = require("./site/site");
var socialFeed_1 = require("./socialFeed/socialFeed");
var user_1 = require("./user/user");
var users_1 = require("./user/users");
var userCustomAction_1 = require("./userCustomAction/userCustomAction");
var userCustomActions_1 = require("./userCustomAction/userCustomActions");
var userProfile_1 = require("./userProfile/userProfile");
var version_1 = require("./version/version");
var view_1 = require("./view/view");
var views_1 = require("./view/views");
var viewFieldCollection_1 = require("./viewFieldCollection/viewFieldCollection");
var web_1 = require("./web/web");
var webs_1 = require("./web/webs");
/**
 * Mapper
 */
exports.Mapper = {
    attachment: attachment_1.attachment,
    attachmentfiles: attachmentFiles_1.attachmentfiles,
    audit: audit_1.audit,
    contenttype: contentType_1.contenttype, contenttypes: contentTypes_1.contenttypes,
    eventreceiver: eventReceiver_1.eventreceiver, eventreceivers: eventReceivers_1.eventreceivers,
    field: field_1.field, fields: fields_1.fields,
    fieldlinks: fieldLinks_1.fieldlinks,
    file: file_1.file, files: files_1.files,
    fileversion: fileVersion_1.fileversion, fileversions: fileVersions_1.fileversions,
    folder: folder_1.folder, folders: folders_1.folders,
    group: group_1.group, sitegroups: siteGroups_1.sitegroups,
    limitedwebpartmanager: limitedWebPartManager_1.limitedwebpartmanager,
    list: list_1.list, lists: lists_1.lists,
    listitem: listItem_1.listitem, items: items_1.items,
    peoplemanager: peopleManager_1.peoplemanager,
    peoplepicker: peoplePicker_1.peoplepicker,
    profileloader: profileLoader_1.profileloader,
    propertyvalues: propertyValues_1.propertyvalues,
    roleassignment: roleAssignment_1.roleassignment, roleassignments: roleAssignments_1.roleassignments,
    roledefinition: roleDefinition_1.roledefinition, roledefinitions: roleDefinitions_1.roledefinitions,
    search: search_1.search,
    site: site_1.site,
    socialfeed: socialFeed_1.socialfeed,
    user: user_1.user, users: users_1.users,
    usercustomaction: userCustomAction_1.usercustomaction, usercustomactions: userCustomActions_1.usercustomactions,
    userprofile: userProfile_1.userprofile,
    version: version_1.version,
    view: view_1.view, views: views_1.views,
    viewfieldcollection: viewFieldCollection_1.viewfieldcollection,
    web: web_1.web, webs: webs_1.webs
};
//# sourceMappingURL=index.js.map